' This class is "generated" and will be overwritten.
' Your customizations should be made in OrdersRecord.vb

Imports System.Data.SqlTypes
Imports BaseClasses
Imports BaseClasses.Data
Imports BaseClasses.Data.SqlProvider

Namespace AuditTrail.Business

''' <summary>
''' The generated superclass for the <see cref="OrdersRecord"></see> class.
''' </summary>
''' <remarks>
''' This class is not intended to be instantiated directly.  To obtain an instance of this class, 
''' use the methods of the <see cref="OrdersTable"></see> class.
''' </remarks>
''' <seealso cref="OrdersTable"></seealso>
''' <seealso cref="OrdersRecord"></seealso>

<Serializable()> Public Class BaseOrdersRecord
	Inherits PrimaryKeyRecord
	

	Public Shared Shadows ReadOnly TableUtils As OrdersTable = OrdersTable.Instance

	' Constructors
 
	Protected Sub New()
		MyBase.New(TableUtils)
	End Sub

	Protected Sub New(ByVal record As PrimaryKeyRecord)
		MyBase.New(record, TableUtils)
	End Sub







#Region "Convenience methods to get/set values of fields"

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.OrderID field.
	''' </summary>
	Public Function GetOrderIDValue() As ColumnValue
		Return Me.GetValue(TableUtils.OrderIDColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.OrderID field.
	''' </summary>
	Public Function GetOrderIDFieldValue() As Int32
		Return CType(Me.GetValue(TableUtils.OrderIDColumn).ToInt32(), Int32)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.CustomerID field.
	''' </summary>
	Public Function GetCustomerIDValue() As ColumnValue
		Return Me.GetValue(TableUtils.CustomerIDColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.CustomerID field.
	''' </summary>
	Public Function GetCustomerIDFieldValue() As String
		Return CType(Me.GetValue(TableUtils.CustomerIDColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.CustomerID field.
	''' </summary>
	Public Sub SetCustomerIDFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CustomerIDColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.CustomerID field.
	''' </summary>
	Public Sub SetCustomerIDFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CustomerIDColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.EmployeeID field.
	''' </summary>
	Public Function GetEmployeeIDValue() As ColumnValue
		Return Me.GetValue(TableUtils.EmployeeIDColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.EmployeeID field.
	''' </summary>
	Public Function GetEmployeeIDFieldValue() As Int32
		Return CType(Me.GetValue(TableUtils.EmployeeIDColumn).ToInt32(), Int32)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.EmployeeID field.
	''' </summary>
	Public Sub SetEmployeeIDFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.EmployeeIDColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.EmployeeID field.
	''' </summary>
	Public Sub SetEmployeeIDFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.EmployeeIDColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.EmployeeID field.
	''' </summary>
	Public Sub SetEmployeeIDFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.EmployeeIDColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.EmployeeID field.
	''' </summary>
	Public Sub SetEmployeeIDFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.EmployeeIDColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.EmployeeID field.
	''' </summary>
	Public Sub SetEmployeeIDFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.EmployeeIDColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.OrderDate field.
	''' </summary>
	Public Function GetOrderDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.OrderDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.OrderDate field.
	''' </summary>
	Public Function GetOrderDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.OrderDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.OrderDate field.
	''' </summary>
	Public Sub SetOrderDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.OrderDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.OrderDate field.
	''' </summary>
	Public Sub SetOrderDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.OrderDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.OrderDate field.
	''' </summary>
	Public Sub SetOrderDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.OrderDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.RequiredDate field.
	''' </summary>
	Public Function GetRequiredDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.RequiredDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.RequiredDate field.
	''' </summary>
	Public Function GetRequiredDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.RequiredDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.RequiredDate field.
	''' </summary>
	Public Sub SetRequiredDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RequiredDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.RequiredDate field.
	''' </summary>
	Public Sub SetRequiredDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.RequiredDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.RequiredDate field.
	''' </summary>
	Public Sub SetRequiredDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RequiredDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShippedDate field.
	''' </summary>
	Public Function GetShippedDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.ShippedDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShippedDate field.
	''' </summary>
	Public Function GetShippedDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.ShippedDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShippedDate field.
	''' </summary>
	Public Sub SetShippedDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ShippedDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShippedDate field.
	''' </summary>
	Public Sub SetShippedDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.ShippedDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShippedDate field.
	''' </summary>
	Public Sub SetShippedDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ShippedDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShipVia field.
	''' </summary>
	Public Function GetShipViaValue() As ColumnValue
		Return Me.GetValue(TableUtils.ShipViaColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShipVia field.
	''' </summary>
	Public Function GetShipViaFieldValue() As Int32
		Return CType(Me.GetValue(TableUtils.ShipViaColumn).ToInt32(), Int32)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipVia field.
	''' </summary>
	Public Sub SetShipViaFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ShipViaColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipVia field.
	''' </summary>
	Public Sub SetShipViaFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.ShipViaColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipVia field.
	''' </summary>
	Public Sub SetShipViaFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ShipViaColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipVia field.
	''' </summary>
	Public Sub SetShipViaFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ShipViaColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipVia field.
	''' </summary>
	Public Sub SetShipViaFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ShipViaColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.Freight field.
	''' </summary>
	Public Function GetFreightValue() As ColumnValue
		Return Me.GetValue(TableUtils.FreightColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.Freight field.
	''' </summary>
	Public Function GetFreightFieldValue() As Decimal
		Return CType(Me.GetValue(TableUtils.FreightColumn).ToDecimal(), Decimal)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.Freight field.
	''' </summary>
	Public Sub SetFreightFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.FreightColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.Freight field.
	''' </summary>
	Public Sub SetFreightFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.FreightColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.Freight field.
	''' </summary>
	Public Sub SetFreightFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.FreightColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.Freight field.
	''' </summary>
	Public Sub SetFreightFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.FreightColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.Freight field.
	''' </summary>
	Public Sub SetFreightFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.FreightColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShipName field.
	''' </summary>
	Public Function GetShipNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.ShipNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShipName field.
	''' </summary>
	Public Function GetShipNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ShipNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipName field.
	''' </summary>
	Public Sub SetShipNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ShipNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipName field.
	''' </summary>
	Public Sub SetShipNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ShipNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShipAddress field.
	''' </summary>
	Public Function GetShipAddressValue() As ColumnValue
		Return Me.GetValue(TableUtils.ShipAddressColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShipAddress field.
	''' </summary>
	Public Function GetShipAddressFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ShipAddressColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipAddress field.
	''' </summary>
	Public Sub SetShipAddressFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ShipAddressColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipAddress field.
	''' </summary>
	Public Sub SetShipAddressFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ShipAddressColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShipCity field.
	''' </summary>
	Public Function GetShipCityValue() As ColumnValue
		Return Me.GetValue(TableUtils.ShipCityColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShipCity field.
	''' </summary>
	Public Function GetShipCityFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ShipCityColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipCity field.
	''' </summary>
	Public Sub SetShipCityFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ShipCityColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipCity field.
	''' </summary>
	Public Sub SetShipCityFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ShipCityColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShipRegion field.
	''' </summary>
	Public Function GetShipRegionValue() As ColumnValue
		Return Me.GetValue(TableUtils.ShipRegionColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShipRegion field.
	''' </summary>
	Public Function GetShipRegionFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ShipRegionColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipRegion field.
	''' </summary>
	Public Sub SetShipRegionFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ShipRegionColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipRegion field.
	''' </summary>
	Public Sub SetShipRegionFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ShipRegionColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShipPostalCode field.
	''' </summary>
	Public Function GetShipPostalCodeValue() As ColumnValue
		Return Me.GetValue(TableUtils.ShipPostalCodeColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShipPostalCode field.
	''' </summary>
	Public Function GetShipPostalCodeFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ShipPostalCodeColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipPostalCode field.
	''' </summary>
	Public Sub SetShipPostalCodeFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ShipPostalCodeColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipPostalCode field.
	''' </summary>
	Public Sub SetShipPostalCodeFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ShipPostalCodeColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShipCountry field.
	''' </summary>
	Public Function GetShipCountryValue() As ColumnValue
		Return Me.GetValue(TableUtils.ShipCountryColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's Orders_.ShipCountry field.
	''' </summary>
	Public Function GetShipCountryFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ShipCountryColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipCountry field.
	''' </summary>
	Public Sub SetShipCountryFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ShipCountryColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's Orders_.ShipCountry field.
	''' </summary>
	Public Sub SetShipCountryFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ShipCountryColumn)
	End Sub



#End Region

#Region "Convenience methods to get field names"

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Orders_.OrderID field.
	''' </summary>
	Public Property OrderID() As Int32
		Get 
			Return CType(Me.GetValue(TableUtils.OrderIDColumn).ToInt32(), Int32)
		End Get
		Set (ByVal val As Int32) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.OrderIDColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property OrderIDSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.OrderIDColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property OrderIDDefault() As String
        Get
            Return TableUtils.OrderIDColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Orders_.CustomerID field.
	''' </summary>
	Public Property CustomerID() As String
		Get 
			Return CType(Me.GetValue(TableUtils.CustomerIDColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.CustomerIDColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CustomerIDSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CustomerIDColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CustomerIDDefault() As String
        Get
            Return TableUtils.CustomerIDColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Orders_.EmployeeID field.
	''' </summary>
	Public Property EmployeeID() As Int32
		Get 
			Return CType(Me.GetValue(TableUtils.EmployeeIDColumn).ToInt32(), Int32)
		End Get
		Set (ByVal val As Int32) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.EmployeeIDColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property EmployeeIDSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.EmployeeIDColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property EmployeeIDDefault() As String
        Get
            Return TableUtils.EmployeeIDColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Orders_.OrderDate field.
	''' </summary>
	Public Property OrderDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.OrderDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.OrderDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property OrderDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.OrderDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property OrderDateDefault() As String
        Get
            Return TableUtils.OrderDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Orders_.RequiredDate field.
	''' </summary>
	Public Property RequiredDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.RequiredDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.RequiredDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RequiredDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RequiredDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RequiredDateDefault() As String
        Get
            Return TableUtils.RequiredDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Orders_.ShippedDate field.
	''' </summary>
	Public Property ShippedDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.ShippedDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.ShippedDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ShippedDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ShippedDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ShippedDateDefault() As String
        Get
            Return TableUtils.ShippedDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Orders_.ShipVia field.
	''' </summary>
	Public Property ShipVia() As Int32
		Get 
			Return CType(Me.GetValue(TableUtils.ShipViaColumn).ToInt32(), Int32)
		End Get
		Set (ByVal val As Int32) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.ShipViaColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ShipViaSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ShipViaColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ShipViaDefault() As String
        Get
            Return TableUtils.ShipViaColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Orders_.Freight field.
	''' </summary>
	Public Property Freight() As Decimal
		Get 
			Return CType(Me.GetValue(TableUtils.FreightColumn).ToDecimal(), Decimal)
		End Get
		Set (ByVal val As Decimal) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.FreightColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property FreightSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.FreightColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property FreightDefault() As String
        Get
            Return TableUtils.FreightColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Orders_.ShipName field.
	''' </summary>
	Public Property ShipName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ShipNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ShipNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ShipNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ShipNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ShipNameDefault() As String
        Get
            Return TableUtils.ShipNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Orders_.ShipAddress field.
	''' </summary>
	Public Property ShipAddress() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ShipAddressColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ShipAddressColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ShipAddressSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ShipAddressColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ShipAddressDefault() As String
        Get
            Return TableUtils.ShipAddressColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Orders_.ShipCity field.
	''' </summary>
	Public Property ShipCity() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ShipCityColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ShipCityColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ShipCitySpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ShipCityColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ShipCityDefault() As String
        Get
            Return TableUtils.ShipCityColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Orders_.ShipRegion field.
	''' </summary>
	Public Property ShipRegion() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ShipRegionColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ShipRegionColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ShipRegionSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ShipRegionColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ShipRegionDefault() As String
        Get
            Return TableUtils.ShipRegionColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Orders_.ShipPostalCode field.
	''' </summary>
	Public Property ShipPostalCode() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ShipPostalCodeColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ShipPostalCodeColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ShipPostalCodeSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ShipPostalCodeColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ShipPostalCodeDefault() As String
        Get
            Return TableUtils.ShipPostalCodeColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's Orders_.ShipCountry field.
	''' </summary>
	Public Property ShipCountry() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ShipCountryColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ShipCountryColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ShipCountrySpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ShipCountryColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ShipCountryDefault() As String
        Get
            Return TableUtils.ShipCountryColumn.DefaultValue
        End Get
    End Property



#End Region

End Class
End Namespace
